Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.workspace
Interface Workspace

All Superinterfaces:
  ModelItem, PropertyChangeNotifier

All Known Implementing Classes:
  WorkspaceImpl

    public interface Workspace

extends ModelItem

SoapUI workspace behaviour

Author:
  Ole.Matzura

Field Summary

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Method Summary
`void` | `addWorkspaceListener(WorkspaceListener listener)`
`Project` | `createProject(java.lang.String name, java.io.File file)`
`int` | `getIndexOfProject(Project project)`
`java.lang.String` | `getPath()`
`Project` | `getProjectAt(int index)`
`Project` | `getProjectByName(java.lang.String projectName)`
`int` | `getProjectCount()`
`Project` | `importProject(java.lang.String filename)`
`void` | `onClose()`
`Project` | `openProject(Project modelItem)`
`void` | `removeProject(Project project)`
`void` | `removeWorkspaceListener(WorkspaceListener listener)`
`void` | `save(boolean workspaceOnly)`
`void` | `switchWorkspace(java.io.File newPath)`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Method Detail

### getProjectAt

    Project getProjectAt(int index)

### getProjectByName

    Project getProjectByName(java.lang.String projectName)

### getProjectCount

    int getProjectCount()

### onClose

    void onClose()

### save

    void save(boolean workspaceOnly)

### addWorkspaceListener

    void addWorkspaceListener(WorkspaceListener listener)

### removeWorkspaceListener

    void removeWorkspaceListener(WorkspaceListener listener)

### createProject

    Project createProject(java.lang.String name,
                          java.io.File file)
                          throws SoapUIException

  Throws:
    `SoapUIException`

### removeProject

    void removeProject(Project project)

### importProject

    Project importProject(java.lang.String filename)
                          throws SoapUIException

  Throws:
    `SoapUIException`

### getIndexOfProject

    int getIndexOfProject(Project project)

### getPath

    java.lang.String getPath()

### switchWorkspace

    void switchWorkspace(java.io.File newPath)
                         throws SoapUIException

  Throws:
    `SoapUIException`

### openProject

    Project openProject(Project modelItem)
                        throws SoapUIException

  Throws:
    `SoapUIException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.